nodes['htz-cloud.pleroma'] = {
    'bundles': {
        'pleroma',
        'postgresql',
        'zfs',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'interfaces': {
            'eth0': {
                'ips': {
                    '159.69.11.231',
                    '2a01:4f8:c2c:c410::1/64',
                },
                'gateway4': '172.31.1.1',
                'gateway6': 'fe80::1',
            },
            'ens10': {
                'ips': {
                    '172.19.137.5/32',
                },
                'routes': {
                    # VPN
                    '172.19.136.0/22': {
                        'via': '172.19.137.1',
                    },
                },
            },
        },
        'icinga_options': {
            'pretty_name': 'cybert-media.net',
        },
        'cron': {
            'auto-authorize-sm-users': '* * * * *    root    echo "UPDATE users SET approval_pending=false WHERE email LIKE \'\\%@seibert-media.net\' AND approval_pending=true;" | psql pleroma >/dev/null',
        },
        'nginx': {
            'vhosts': {
                'pleroma': {
                    'max_body_size': '16M',
                    'extras': True,
                },
                'pleroma-www-redir': {
                    'domain': 'www.cybert-media.net',
                    'locations': {
                        '/': {
                            'redirect': 'https://cybert-media.net$request_uri',
                        },
                    },
                },
            },
        },
        'pleroma': {
            'version': '2.2.2',
            'url': 'cybert-media.net',
            'secret_key': vault.decrypt('encrypt$gAAAAABgMVXXclfxVY022fM0Fdf94Oh3sxVlK0lYyBO_CsQFEbZcMua3w1oJY8_9d1JcrCJSSeBRTDnt-ZkRCQ6xKoALo8Rl7s9DPxa7J0vHdkggeZ3IHaOyXBcBPdx8vILyKDLHRXacaynOUBOjy6RIl6Qf2wH1ASbphCcjD-Njricg4PG6Rcixm87fF60rLBjAAkRoz5ZQnXlut1rhjLj-z-7UpA68fkeyPVJXbroWBJdmvCUt92dwjuGARsku2XI22mVvjtJJ'),
        },
        'postfix': {
            'myhostname': 'cybert-media.net',
        },
        'vm': {
            'cpu': 1,
            'ram': 2,
        },
        'zfs': {
            'pools': {
                'tank': {
                    'when_creating': {
                        'config': [{
                            'devices': {'/dev/sdb'},
                        }],
                    },
                },
            },
        },
    },
}
